Package fr.gouv.vitam.common.database.builder.query.action

# Class SetAction

java.lang.Object
fr.gouv.vitam.common.database.builder.query.action.Action
fr.gouv.vitam.common.database.builder.query.action.SetAction

Direct Known Subclasses:
  `SetAction`

public class SetAction extends Action
Set Action: $set : { name : value, name : value, ... }

- ## Field Summary

  ### Fields inherited from class fr.gouv.vitam.common.database.builder.query.action.Action

  `currentAction, currentObject, currentUPDATEACTION, ready`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `SetAction()`
  ``
  `SetAction(com.fasterxml.jackson.databind.node.ObjectNode updateData)`
  Set Action constructor from ObjectNode
  ``
  `SetAction(String variableName, boolean value)`
  Set Action constructor
  ``
  `SetAction(String variableName, double value)`
  Set Action constructor
  ``
  `SetAction(String variableName, long value)`
  Set Action constructor
  ``
  `SetAction(String variableName, String value)`
  Set Action constructor
  ``
  `SetAction(String variableName, Date value)`
  Set Action constructor
  ``
  `SetAction(String variableName, List<?> value)`
  Set Action constructor
  ``
  `SetAction(Map<String,?> variableNameValue)`
  Set Action constructor from Map

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final SetAction`
  `add(String variableName, boolean value)`
  Add other Set sub actions to Set Query
  `final SetAction`
  `add(String variableName, double value)`
  Add other Set sub actions to Set Query
  `final SetAction`
  `add(String variableName, long value)`
  Add other Set sub actions to Set Query
  `final SetAction`
  `add(String variableName, String value)`
  Add other Set sub actions to Set Query
  `final SetAction`
  `add(String variableName, Date value)`
  Add other Set sub actions to Set Query
  `final SetAction`
  `add(String variableName, List<?> values)`
  Add other Set sub actions to Set Query

  ### Methods inherited from class fr.gouv.vitam.common.database.builder.query.action.Action

  `clean, createActionValueArrayVariable, createActionVariables, createActionVariableValue, createActionVariableValue, createActionVariableValue, createActionVariableValue, createActionVariableValue, createActionVariableValue, getCurrentAction, getCurrentObject, getUPDATEACTION, isReady, setReady, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SetAction

    protected SetAction()

  - ### SetAction

    public SetAction(String variableName, String value) throws InvalidCreateOperationException
    Set Action constructor
    Parameters:
      `variableName` - key name
      `value` - key value
    Throws:
      `InvalidCreateOperationException` - when query is invalid

  - ### SetAction

    public SetAction(String variableName, List<?> value) throws InvalidCreateOperationException
    Set Action constructor
    Parameters:
      `variableName` - key name
      `value` - key value as a list of values
    Throws:
      `InvalidCreateOperationException` - when query is invalid

  - ### SetAction

    public SetAction(Map<String,?> variableNameValue) throws InvalidCreateOperationException
    Set Action constructor from Map
    Parameters:
      `variableNameValue` - map of key and Value
    Throws:
      `InvalidCreateOperationException` - when query is invalid

  - ### SetAction

    public SetAction(com.fasterxml.jackson.databind.node.ObjectNode updateData) throws InvalidCreateOperationException
    Set Action constructor from ObjectNode
    Parameters:
      `updateData` - ObjectNode natively
    Throws:
      `InvalidCreateOperationException` - when query is invalid

  - ### SetAction

    public SetAction(String variableName, long value) throws InvalidCreateOperationException
    Set Action constructor
    Parameters:
      `variableName` - key name
      `value` - key value
    Throws:
      `InvalidCreateOperationException` - when query is invalid

  - ### SetAction

    public SetAction(String variableName, boolean value) throws InvalidCreateOperationException
    Set Action constructor
    Parameters:
      `variableName` - key name
      `value` - key value
    Throws:
      `InvalidCreateOperationException` - when query is invalid

  - ### SetAction

    public SetAction(String variableName, double value) throws InvalidCreateOperationException
    Set Action constructor
    Parameters:
      `variableName` - key name
      `value` - key value
    Throws:
      `InvalidCreateOperationException` - when query is invalid

  - ### SetAction

    public SetAction(String variableName, Date value) throws InvalidCreateOperationException
    Set Action constructor
    Parameters:
      `variableName` - key name
      `value` - key value
    Throws:
      `InvalidCreateOperationException` - when query is invalid

- ## Method Details

  - ### add

    public final SetAction add(String variableName, String value) throws InvalidCreateOperationException
    Add other Set sub actions to Set Query
    Parameters:
      `variableName` - key name
      `value` - key value
    Returns:
      the SetAction
    Throws:
      `InvalidCreateOperationException` - when query is invalid

  - ### add

    public final SetAction add(String variableName, boolean value) throws InvalidCreateOperationException
    Add other Set sub actions to Set Query
    Parameters:
      `variableName` - key name
      `value` - key value
    Returns:
      the SetAction
    Throws:
      `InvalidCreateOperationException` - when query is invalid

  - ### add

    public final SetAction add(String variableName, long value) throws InvalidCreateOperationException
    Add other Set sub actions to Set Query
    Parameters:
      `variableName` - key name
      `value` - key value
    Returns:
      the SetAction
    Throws:
      `InvalidCreateOperationException` - when query is invalid

  - ### add

    public final SetAction add(String variableName, double value) throws InvalidCreateOperationException
    Add other Set sub actions to Set Query
    Parameters:
      `variableName` - key name
      `value` - key value
    Returns:
      the SetAction
    Throws:
      `InvalidCreateOperationException` - when query is invalid

  - ### add

    public final SetAction add(String variableName, Date value) throws InvalidCreateOperationException
    Add other Set sub actions to Set Query
    Parameters:
      `variableName` - key name
      `value` - key value
    Returns:
      the SetAction
    Throws:
      `InvalidCreateOperationException` - when query is invalid

  - ### add

    public final SetAction add(String variableName, List<?> values) throws InvalidCreateOperationException
    Add other Set sub actions to Set Query
    Parameters:
      `variableName` - key name
      `values` - values as list
    Returns:
      the SetAction
    Throws:
      `InvalidCreateOperationException` - when query is invalid